Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.PreflightReportSettingData Class Reference

## Public Member Functions
| constructor ()
| Constructor.

## Public Attributes
| problems_highlight_method
| The method highlight problems. This parameter is only useful when to_highlight_problems is true and report_file_format_type is FSDK.PreflightReportSettingData.e_ReportFileFormatTypePdf. Please refer to values starting from FSDK.PreflightReportSettingData.e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.
| report_file_format_type
| The report file format type. Please refer to values starting from FSDK.PreflightReportSettingData.e_ReportFileFormatTypePdf and this should be one of these values.
| report_file_path
| A complete path for report file. This should not be an empty string.
| to_generate_overview
| Whether to generate overview or not. true menas to generate overview, false means not.
| to_highlight_problems
| Whether to highlight problems or not. true menas to highlight problems, false means not.

## Static Public Attributes
static | e_ProblemsHighlightMethodLayers
| Problems highlighted by layers.
static | e_ProblemsHighlightMethodTransparentMasks
| Enumeration for the highlight method for preflight problems. More...
static | e_ReportFileFormatTypeHtml
| Report file format type: HTML.
static | e_ReportFileFormatTypePdf
| Enumeration for the preflight report file format type. More...
static | e_ReportFileFormatTypeTxt
| Report file format type: TXT & TEXT.
static | e_ReportFileFormatTypeXml
| Report file format type: XML.

## Detailed Description

This class represents setting data used for preflight create report file.

## Member Data Documentation

## ◆ e_ProblemsHighlightMethodTransparentMasks

FSDK.PreflightReportSettingData.e_ProblemsHighlightMethodTransparentMasks
| static

Enumeration for the highlight method for preflight problems.

Values of this enumeration should be used alone.

Problems highlighted by transparent masks.

## ◆ e_ReportFileFormatTypePdf

FSDK.PreflightReportSettingData.e_ReportFileFormatTypePdf
| static

Enumeration for the preflight report file format type.

Values of this enumeration should be used alone.

Report file format type: PDF.